name: Make mod zip release
run-name: ${{ gitea.actor }} assembles mod zip release
on: [push]

jobs:
  Assemble-Zip:
    runs-on: ubuntu-22.04
    steps:
      - name: "install python 3.11"
        uses: actions/setup-python@v5
        with:
          python-version: "3.11.7"
      - name: "install pipenv"
        run: |-
          apt update -y && apt install pipenv -y
      - name: "checkout"
        uses: actions/checkout@v3
      - name: "setup pipenv environment"
        run: pipenv install
        working-directory: ${{ gitea.workspace }}
